# WARNING: This package is synced with FC
# (kamil) In case of update, update also hyphen-en, it's the same source
%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname -d %{name}

Name:           hyphen
Version:        2.8.8
Release:        %mkrel 9
Summary:        A text hyphenation library
License:        LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://hunspell.sf.net
Source0:        https://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz
%ifarch %{ix86} x86_64
BuildRequires:  valgrind
%endif
Requires:	%{libname} = %{version}-%{release}

%description
Hyphen is a library for high quality hyphenation and justification.

%package -n %{libname}
Summary:	A text hyphenation library
Group:		System/Internationalization
Conflicts:	%{name} < 2.8.8-4

%description -n %{libname}
Hyphen is a library for high quality hyphenation and justification.

%package -n %{develname}
Summary:        Files for developing with hyphen
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.8.8-4
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%check
%ifarch %{ix86} x86_64
VALGRIND=memcheck make check
%else
make check
%endif

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

rm %{buildroot}%{_datadir}/hyphen/*

%files
%dir %{_datadir}/hyphen

%files -n %{libname}
%doc AUTHORS ChangeLog README README.%{name} README.nonstandard TODO
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_bindir}/substrings.pl


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.8.8-9.mga9
+ Revision: 1791916
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.8.8-8.mga8
+ Revision: 1513518
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.8.8-7.mga7
+ Revision: 1298242
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 2.8.8-6.mga6
+ Revision: 960633
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 fwang <fwang> 2.8.8-5.mga6
+ Revision: 882541
- add conflicts
- add back empty package for data file dir

* Wed Sep 23 2015 fwang <fwang> 2.8.8-4.mga6
+ Revision: 882422
- lock libmajor

* Wed Aug 26 2015 tv <tv> 2.8.8-3.mga6
+ Revision: 869822
- rebuild with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 2.8.8-2.mga5
+ Revision: 741172
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 2.8.8-1.mga5
+ Revision: 737595
- 2.8.8
- remove upstreamed patch

* Tue Sep 16 2014 umeabot <umeabot> 2.8.7-3.mga5
+ Revision: 680340
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 2.8.7-2.mga5
+ Revision: 658749
- add missing headers for LO

* Wed Jul 02 2014 luigiwalser <luigiwalser> 2.8.7-1.mga5
+ Revision: 642332
- 2.8.7

* Fri Oct 18 2013 umeabot <umeabot> 2.8.6-3.mga4
+ Revision: 505858
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.8.6-2.mga3
+ Revision: 353817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.8.6-1.mga3
+ Revision: 325109
- new version 2.8.6

* Tue Jul 24 2012 tv <tv> 2.8.5-1.mga3
+ Revision: 273973
- new release

* Sat Jul 07 2012 kamil <kamil> 2.8.4-1.mga3
+ Revision: 268580
- new version 2.8.4

* Fri Jan 20 2012 kamil <kamil> 2.8.3-2.mga2
+ Revision: 198581
- exclude hyphen-en part from .spec

* Tue Jan 10 2012 kamil <kamil> 2.8.3-1.mga2
+ Revision: 194584
- new version

* Tue Jan 10 2012 kamil <kamil> 2.7.1-2.mga2
+ Revision: 194572
- fix groups
- clean spec

* Fri Jul 08 2011 ahmad <ahmad> 2.7.1-1.mga2
+ Revision: 120177
- Update to 2.7.1
- Improve the description of the -devel sub-package

* Tue Jun 21 2011 ahmad <ahmad> 2.7-3.mga2
+ Revision: 110819
- Use %%configure2_5x

* Fri Jan 28 2011 dmorgan <dmorgan> 2.7-2.mga1
+ Revision: 43120
- Bump release
- Fix groups

* Sun Jan 23 2011 dmorgan <dmorgan> 2.7-1.mga1
+ Revision: 33551
- Use %%mkrel
- imported package hyphen


* Thu Dec 02 2010 Caolán McNamara <caolanm@redhat.com> - 2.7-1
- latest version

* Mon Jul 19 2010 Caolán McNamara <caolanm@redhat.com> - 2.6-1
- latest version
- run make check

* Thu Feb 25 2010 Caolán McNamara <caolanm@redhat.com> - 2.5-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Caolán McNamara <caolanm@redhat.com> - 2.4-4
- make hyphen-en a noarch subpackage

* Fri Jun 12 2009 Caolán McNamara <caolanm@redhat.com> - 2.4-3
- extend coverage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 02 2008 Caolán McNamara <caolanm@redhat.com> - 2.4-1
- latest version

* Tue Feb 19 2008 Caolán McNamara <caolanm@redhat.com> - 2.3.1-1
- latest version

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3-2
- Autorebuild for GCC 4.3

* Mon Nov 12 2007 Caolán McNamara <caolanm@redhat.com> - 2.3-1
- initial version
